### 4.25.5 python_eval

`Syntax:`
  `python_eval (` string_expression `)`
`Type:`
  pyobject
`Purpose:`
  Evaluates a python expression (given as a string) and returns the result as pyobject.
`Example:`

        LIB("pyobject.so");
        python_eval("17 + 4");
      ==> 21
        typeof(_);
      ==> pyobject
        list ll = python_eval("range(10)");

User manual for Singular version 4-0-3, 2016, generated by texi2html.